# -*- python -*-
# -*- coding: utf-8 -*-
#
# Debian Member Portfolio Service PortfolioController test
#
# Copyright © 2009-2014 Jan Dittberner <jan@dittberner.info>
#
# This file is part of the Debian Member Portfolio Service.
#
# Debian Member Portfolio Service is free software: you can redistribute it
# and/or modify it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# Debian Member Portfolio Service is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
"""
This module defines test cases for the PortfolioController.
"""

from debianmemberportfolio.tests import TestController, url


class TestPortfolioController(TestController):
    """
    Test cases for PortfolioController.
    """

    def test_index(self):
        """
        Test for the controller's index action.
        """
        response = self.app.get(url(controller='portfolio', action='index'))
        # Test response...
        assert response.status_int == 200
        assert response.content_type == "text/html"
        assert "Debian Member Portfolio Service" in response
